/*
 * Copyright  2005 Sun Microsystems Inc. All rights reserved. Use is subject to license terms.
 *  
 */

/*
 * Created on Feb 2, 2005
 *
 */
package com.sunlabs.archsim.globals;

import com.sunlabs.archsim.base.simulation.Delay;

/**
 * @author ib27688
 */

public class GlobalDefaults {


	public static final String GLOBAL_LOG= "global_log";
	public static final boolean GLOBAL_LOG_DEF= false;
	
	public static final String JOURNAL_STATE= "journal_state";
	public static final boolean JOURNAL_STATE_DEF= true;
	
	public static final String JOURNAL_ACTION= "journal_action";
	public static final boolean JOURNAL_ACTION_DEF= false;

	public static final String JOURNAL_TERMINAL= "journal_terminal";
	public static final boolean JOURNAL_TERMINAL_DEF= false;

	
	public static final String JOURNAL_ARBITER= "journal_arbiter";
	public static final boolean JOURNAL_ARBITER_DEF= false;
	
	
	public static final String ARBITER_DELAY= "arbiter_delay";
	public static final Delay ARBITER_DELAY_DEF= new Delay(0);
		
	public static final String ACTION_FIRED_DELAY= "action_fired_delay";
	public static final Delay ACTION_FIRED_DELAY_DEF= new Delay(0);
	
	/** delay for the default ack function */
	public static final String ACK_DELAY= "ack_delay";
	public static final Delay ACK_DELAY_DEF= new Delay(0);;
		
	public static final int logDetails= 0;
	public static final int logForPlayback= 1;
	public static final String LOG_LEVEL= "log_level";
	public static final int LOG_LEVEL_DEF= logForPlayback;	
	
	public static final String STATE_TO_ACTION_DELAY= "state_to_action_delay";
	public static final Delay STATE_TO_ACTION_DELAY_DEF= new Delay(10);
	
	public static final String ACTION_TO_STATE_DELAY= "action_to_state_delay";
	public static final Delay ACTION_TO_STATE_DELAY_DEF= new Delay(10);

	public static final String SOURCE_SYNC_PASS_DATA_DELAY= "source_sync_pass_data_delay";
	public static final Delay SOURCE_SYNC_PASS_DATA_DELAY_DEF= new Delay(0);

	public static final String SOURCE_SYNC_ACK_DELAY= "source_sync_ack_delay";
	public static final Delay SOURCE_SYNC_ACK_DELAY_DEF= new Delay(0);


	public static final String TEST_SHIP_SOURCE_DELAY= "test_ship_source_delay";
	public static final Delay TEST_SHIP_SOURCE_DELAY_DEF= new Delay(10);
	
	public static final String TEST_SHIP_SINK_DELAY= "test_ship_sink_delay";
	public static final Delay TEST_SHIP_SINK_DELAY_DEF= new Delay(10);
	
	public static final int INACTIVE= 0;
	public static final int ACTIVE= 1;
	
	
} // class GlobalDefaults
